Bug 441971 - [RHEL5] GDM sometimes doesn't come back after ctrl-alt-backspace
[RHEL5] GDM sometimes doesn't come back after ctrl-alt-backspace
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: gdm (Show other bugs)
5.2
All Linux
medium Severity medium
: rc
: ---
Assigned To: Ray Strode [halfline]
desktop-bugs@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-10 17:55 EDT by Ray Strode [halfline]
Modified: 2009-09-02 07:28 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 07:28:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fix ctrl-alt-backspace shortly after login makes gdm restart slow/ not at all (554 bytes, patch)
2008-04-10 17:56 EDT, Ray Strode [halfline]
no flags Details | Diff
get rid of the "Greeter appears to be crashing, staring plain greeter" message when ctrl-alt-backspacing within 5 seconds of login screen loading (1.13 KB, patch)
2008-04-10 17:57 EDT, Ray Strode [halfline]
no flags Details | Diff

  None (edit)
Description Ray Strode [halfline] 2008-04-10 17:55:28 EDT
+++ This bug was initially created as a clone of Bug #183499 +++

Problem description:
After login to the system in the GNOME GUI mode, Ctrl+Alt+Bksp
resets the X server.
After several times of resetting X server in this way, the X
windows goes down and stays down without being restarted.
What should happen is the X window should restart after several
seconds and return to the GUI login.
Note that, If I use KDE, no such problem.


Hardware Environment
    Machine type: Intellistation M Pro (6218). But this defect can also be
    reproduced on other machine, so it is not machine dependent.

Is this reproducible? Yes.
    If so, how long does it (did it) take to reproduce it? Very often
    Describe the steps:

1. GUI login to GNOME session.
2. Hit Ctrl+Alt+Bksp to reset the X server.
3. It will (or will not ) come to GUI login panel.
4. If it comes to GUI login panel, then repeat step1 to 3. 
5. Finally the X windows goes down and stays down without being restarted.
 

Additional information:
The gdm version in RHEL4U2 is 2.6.0.5

I was able to recreate this issue on a x86-64 m/c with RHEL4 U2 on it - though 
it took some 8-10 tries.
This event sent from IssueTracker by alanm  [SEG - Desktop]
 issue 83229

-- Additional comment from tao@redhat.com on 2006-03-01 10:48 EST --
From User-Agent: XML-RPC

I'm not reproducing the exact problem described here (everytime I use
ctrl-alt-bksp after being logged in I always go back to the gdm login
screen). If I hit ctrl-alt-bksp in the gdm login screen I will sometimes
see it restart with xdm instead after getting a message that gdb had
crashed.

----- Additional Comments From mranweil@us.ibm.com (prefers email at
mjr@us.ibm.com)  2007-08-10 13:43 EDT -------
fyi - I can recreate this on the RHEL5 base.  Doesn't look like there's
a fix
for 4.6 at this point, so maybe we want to look at fixing RHEL5 first. 


This event sent from IssueTracker by Glen Johnson 
 issue 83229

-- Additional comment from rstrode@redhat.com on 2008-04-10 16:59 EST --
I was able to reproduce both issues and address them.

Problem should be fixed in gdm-2.6.0.5-7.rhel4.18

marking MODIFIED for QA.

(note this bug is a duplicate of bug 165515)

We should clone this bug to address it in RHEL5, as per comment 41
Comment 1 Ray Strode [halfline] 2008-04-10 17:56:23 EDT
Created attachment 302080 [details]
fix ctrl-alt-backspace shortly after login makes gdm restart slow/ not at all
Comment 2 Ray Strode [halfline] 2008-04-10 17:57:15 EDT
Created attachment 302081 [details]
get rid of the "Greeter appears to be crashing, staring plain greeter" message when ctrl-alt-backspacing within 5 seconds of login screen loading
Comment 4 Daniel Riek 2008-07-29 17:06:46 EDT
Moving to 5.4 because of re-prioritization.
Comment 10 errata-xmlrpc 2009-09-02 07:28:36 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1364.html

Note You need to log in before you can comment on or make changes to this bug.